#ifndef _GYROSCOPE_HPP_
#define _GYROSCOPE_HPP_

#include <memory>

class Gyroscope
{
	public:
		Gyroscope();
		~Gyroscope();

		void getOrientation();

	private:
		class GyroscopeImpl; // forward declaration
		std::unique_ptr<GyroscopeImpl> impl;

};


#endif // _GYROSCOPE_HPP_
